/* You can add global styles to this file, and also import other style files */

.hide {
  display: none;
}

.btn-basic {
  background-color: #f2f2f2;
}
.btn-basic:hover, .btn-basic:focus {
  background-color: #e6e6e6;
}

.accordion .btn.btn-link {
  text-decoration: none !important;
  color: #000 !important;
}

#modelAutoCompleteInput .autocomplete-container {
  height: 38px;
  box-shadow: unset;
}

#modelAutoCompleteInput .autocomplete-container .input-container input {
  border: 1px solid #ced4da;
  height: 38px;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  border-radius: .25rem;
}

.add-btn-outline-madera {
  color: #007bff;
  border-color: #007bff;
}

.add-btn-outline-madera:hover {
  color: #fff;
  background-color: #007bff;
  border-color: #007bff;
}

.ng-autocomplete {
  max-width: 100%;
}

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

.wrapper {
  display: flex;
  width: 100%;
  align-items: stretch;
  perspective: 1500px;
}


#sidebar {
  min-width: 250px;
  max-width: 250px;
  background: #fff;
  color: #fff;
  transition: all 0.3s;
  transform-origin: bottom left;
}

#sidebar.active {
  margin-left: -250px;
  /*transform: rotateY(100deg);*/
}

#sidebar .sidebar-header {
  padding: 20px;
  background: #17a2b8;
}

#sidebar ul.components {
  padding: 20px 0;
  border-bottom: 1px solid #47748b;
}

#sidebar ul p {
  color: #000;
  padding: 10px;
}

#sidebar ul li a {
  padding: 10px;
  font-size: 1.1em;
  display: block;
  color: #000;
}
#sidebar ul li a:hover {
  color: #000;
  text-decoration: none;
  /*background: #000;*/
}

#sidebar ul li.active > a {
  color: #fff;
  background: #17a2b8;
}

#sidebar ul li a[aria-expanded="true"] {
  color: #000;
  /*background: #0e6371;*/
}

a[data-toggle="collapse"] {
  position: relative;
}

.dropdown-toggle::after {
  display: block;
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
}

ul ul a {
  font-size: 0.9em !important;
  padding-left: 30px !important;
  background: #f2f2f2;
}

ul.CTAs {
  padding: 20px;
}

ul.CTAs a {
  text-align: center;
  font-size: 0.9em !important;
  display: block;
  border-radius: 5px;
  margin-bottom: 5px;
}

a.download {
  background: #fff;
  color: #7386D5;
}

a.article, a.article:hover {
  background: #6d7fcc !important;
  color: #fff !important;
}



/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */
#content {
  width: 100%;
  padding: 20px;
  min-height: 100vh;
  transition: all 0.3s;
}

#sidebarCollapse {
  cursor: pointer;
}


/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */
@media (max-width: 768px) {
  #sidebar {
    margin-left: -250px;
    transform: rotateY(90deg);
  }
  #sidebar.active {
    margin-left: 0;
    transform: none;
  }
}


@media (max-width: 874px) {
  .pdfViewer .page,
  .pdfViewer .page .canvasWrapper,
  .pdfViewer .page .canvasWrapper *,
  .pdfViewer .page .textLayer {
    max-width: 470px !important;
    height: auto !important;
  }
}
